signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
SignonDaemonNS::StoreOperation Class Reference

Describes a credentials store operatation. More...

`#include <signonsessioncoretools.h>`

Collaboration diagram for SignonDaemonNS::StoreOperation:
[legend]

## Public Types
enum | StoreType { Credentials = 0, Blob }

## Public Member Functions
| StoreOperation (const StoreType type)
| StoreOperation (const StoreOperation &src)
| ~StoreOperation ()

## Public Attributes
StoreType | m_storeType
SignonIdentityInfo | m_info
QString | m_authMethod
QVariantMap | m_blobData

## Detailed Description

Describes a credentials store operatation.

Definition at line 48 of file signonsessioncoretools.h.

## Member Enumeration Documentation

enum SignonDaemonNS::StoreOperation::StoreType

Enumerator
Credentials |
Blob |

Definition at line 49 of file signonsessioncoretools.h.

## Constructor & Destructor Documentation

StoreOperation::StoreOperation | ( | const StoreType | type | ) |

Definition at line 50 of file signonsessioncoretools.cpp.

StoreOperation::StoreOperation | ( | const StoreOperation & | src | ) |

Definition at line 55 of file signonsessioncoretools.cpp.

StoreOperation::~StoreOperation | ( |  | ) |

Definition at line 63 of file signonsessioncoretools.cpp.

## Member Data Documentation

QString SignonDaemonNS::StoreOperation::m_authMethod

Definition at line 62 of file signonsessioncoretools.h.

QVariantMap SignonDaemonNS::StoreOperation::m_blobData

Definition at line 63 of file signonsessioncoretools.h.

SignonIdentityInfo SignonDaemonNS::StoreOperation::m_info

Definition at line 60 of file signonsessioncoretools.h.

StoreType SignonDaemonNS::StoreOperation::m_storeType

Definition at line 59 of file signonsessioncoretools.h.

The documentation for this class was generated from the following files:

- src/signond/signonsessioncoretools.h
- src/signond/signonsessioncoretools.cpp